aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorcomputermouth <computermouth@crunchbangplusplus.org>2018-01-22 10:24:49 -0800
committercomputermouth <computermouth@crunchbangplusplus.org>2018-01-22 10:24:49 -0800
commit7ce8f2ba65f6d382e8afcc8ab5ac9978b9cc090a (patch)
tree4552fb62fca53163c51dd9b94b20f10f1f5feb45
parentAdded check for DONT_WAIT_FOR_STATE (diff)
downloadCHIP-tools-7ce8f2ba65f6d382e8afcc8ab5ac9978b9cc090a.tar.bz2
CHIP-tools-7ce8f2ba65f6d382e8afcc8ab5ac9978b9cc090a.zip
Permit skipping the dependency checks
-rwxr-xr-xcommon.sh20
1 files changed, 12 insertions, 8 deletions
diff --git a/common.sh b/common.sh
index bb94f7d..c705c76 100755
--- a/common.sh
+++ b/common.sh
@@ -14,14 +14,18 @@ nand_erasesize=400000
nand_writesize=4000
nand_oobsize=680
-for TOOL in ${TOOLS[@]}; do
- if [[ -z $(which $TOOL) ]]; then
- echo " Error: Unable to locate $TOOL utility."
- echo " Install $TOOL with:"
- echo " CHIP-SDK setup script [github.com/NextThingCo/CHIP-SDK]"
- exit 1
- fi
-done
+if [[ -z ${CHECK_DEPS} ]]; then
+
+ for TOOL in ${TOOLS[@]}; do
+ if [[ -z $(which $TOOL) ]]; then
+ echo " Error: Unable to locate $TOOL utility."
+ echo " Install $TOOL with:"
+ echo " CHIP-SDK setup script [github.com/NextThingCo/CHIP-SDK]"
+ exit 1
+ fi
+ done
+
+fi
#------------------------------------------------------------
onMac() {